<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<!--***** ************************************************************* ******-->
<!--*****		    ADMINISTRATIVE INFORMATION			******-->
<!--***** ************************************************************* ******-->

<!--
Contents:
	XSL Stylesheet for displaying canonical forms of monolingual entries
	and their transfers in OLIF file as HTML in Internet Explorer 5
Dependencies (this DTD depends on the presence of):
	olifTermsMulti.css
	OLIF_01-1.gif
Contact:
        www.olif.net
Status:
	Copyright (C) 2001, OLIF Consortium
Version:
	$DateTime: 2003/09/12 16:49:54 $
	$Revision: #2 $
-->

<!--***** ************************************************************* ******-->
<!--*****		    TEMPLATES					******-->
<!--***** ************************************************************* ******-->

<!--***** ************************************************************* ******-->
<!--*****		    template for OLIF root element		******-->
<!--***** ************************************************************* ******-->

<!-- 
0. start an HTML page
1. create title and heading from element 'fileId'
2. start a two-column table
3. fill the table with the canonical forms from element 'canForm'
-->

<xsl:template match="/">
<html>
  <head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
	<link rel="stylesheet" type="text/css" href="olifTermsMulti.css" />
		
	<title>
	  Terms from OLIF file
	  <xsl:value-of select="//fileId"/>
	</title>
  </head>

  <body>
	<p class="title"><img src="OLIF_01-1.gif" alt="OLIF logo"/></p>

	<h1 class="title">
		Terms in OLIF File
		<br/>
		<em><xsl:apply-templates select="//fileId"/></em>
	</h1>
			
	<table border="1">
		<tr>
			<th class="source">Source</th>
			<th class="targets">Targets</th>
		</tr>

		<xsl:for-each select="//entry">
			<xsl:apply-templates select="."/>
		</xsl:for-each>
	</table>
  </body>
</html>
</xsl:template>

<!--***** ************************************************************* ******-->
<!--*****		    template for OLIF element 'fileId'		******-->
<!--***** ************************************************************* ******-->

<!--
1. print the contents of the element 'fileId'
-->
	
<xsl:template match="fileId">
	<xsl:value-of select="."/>
</xsl:template>

<!--***** ************************************************************* ******-->
<!--*****		    template for OLIF element 'entry'		******-->
<!--***** ************************************************************* ******-->

<!--
1. start a new two-column row
2. in the first field, print the canonical form of the source
3. in the second field, print the canonical form(s) of the transfer(s)
-->

<xsl:template match="entry">
<tr>
	<td class="source">
	Language: <xsl:value-of select="mono/keyDC/language"/><br/>
	<xsl:value-of select="mono/keyDC/canForm"/>
	</td>

	<td class="targets">
		<xsl:for-each select="transfer/keyDC">
			<xsl:value-of select="canForm"/>
			(lang: <xsl:value-of select="language"/>)
			<br/>
		</xsl:for-each>
	</td>
</tr>
</xsl:template>

</xsl:stylesheet>

<!--***** ************************************************************* ******-->
<!--*****		END OF TEMPLATES AND OF STYLESHEET		******-->
<!--***** ************************************************************* ******-->
